List clients
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/clients \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/clients"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clients": [
{
"id": 123,
"name": "<string>",
"email": "<string>"
}
],
"count": 123
}{
"error": "<string>"
}Clients
List clients
Retrieve clients of the reseller
GET
/
fastedge
/
v1
/
admin
/
clients
List clients
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Filter by client name (case-insensitive partial match)
Required string length:
1 - 255Filter by client e-mail address (case-insensitive partial match)
Required string length:
3 - 320Filter by group ID (shows clients that belong to this group)
Required range:
x >= 1Filter by client ID
Required range:
x >= 1Filter by group ID (shows clients that don't belong to this group)
Required range:
x >= 1Maximum number of results to return
Required range:
1 <= x <= 1000Number of results to skip for pagination
Required range:
x >= 0Was this page helpful?